MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029724Community[OCCT] OCCT:Visualizationpublic2018-04-24 17:322018-06-29 21:18
ReporterVico Liang 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029724: Visualization - add AIS_InteractiveContext::ClearDetected() undoing MoveTo() dynamic highlighting
DescriptionAIS_InteractiveContext::MoveTo will highlight object under the mouse, it works well. My problem is that I need to clear the highlight object in my application. MoveTo function will also clear highlights if there are nothing under the mouse, but it's not my option, because it needs to pass the mouse position on screen as arguments. There is another method called ClearSelected, but it does not work.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075659)
Vico Liang (developer)
2018-04-24 17:39

It would be better to add a new method to revert the operation of method MoveTo.
(0075660)
kgv (developer)
2018-04-24 17:42

ClearSelected() has different meaning - it is designed for Selected objects, not Detected objects.

What you are looking for is probably:
void AIS_InteractiveContext::ClearDetected()
{
  myCurDetected = 0;
  myCurHighlighted = 0;
  myDetectedSeq.Clear();
  myLastPicked  = myLastinMain;
  myWasLastMain = Standard_True;
  if (!myLastPicked.IsNull() && myLastPicked->HasSelectable())
  {
    clearDynamicHighlight();
  }
  myLastinMain.Nullify();
  myLastPicked.Nullify();
}
(0075667)
Vico Liang (developer)
2018-04-25 04:07

Dear kgv, that's what I want exactly. Would you please add this method in next release?
Thanks.
(0075672)
git (administrator)
2018-04-25 11:38

Branch CR29724 has been created by kgv.

SHA-1: 2615e303f173128bbae56eefec8b90d92641a8b1


Detailed log of new commits:

Author: kgv
Date: Wed Apr 25 11:38:11 2018 +0300

    0029724: Visualization - add AIS_InteractiveContext::ClearDetected() undoing MoveTo() dynamic highlighting
(0075677)
kgv (developer)
2018-04-25 12:50

Please test the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29724-master-KGV/ [^]
(0076112)
abv (manager)
2018-05-23 06:13

Please provide commit message describing the changes made
(0076116)
git (administrator)
2018-05-23 08:23

Branch CR29724 has been updated forcibly by kgv.

SHA-1: 11bfe84494c6d91d00d07a6e6b3918da7b360afc
(0076117)
kgv (developer)
2018-05-23 08:24

Please check.
(0076119)
abv (manager)
2018-05-23 08:54

What about documenting new option(s) of vmove command?
(0076120)
git (administrator)
2018-05-23 09:24

Branch CR29724 has been updated forcibly by kgv.

SHA-1: 0ad0bd3af0fd26e79e9b48cc6ba8d6fdb74d1060
(0076121)
kgv (developer)
2018-05-23 09:25

Corrected.
(0076219)
bugmaster (administrator)
2018-05-24 11:59

Combination -
OCCT branch : CR29724 SHA - 2615e303f173128bbae56eefec8b90d92641a8b1
Products branch : master SHA - 4667f5aca4a456ae13db44bc7210e8cac1ab89f0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18328.969999999794 / 18243.73999999987 [+0.47%]
Products
Total CPU difference: 7506.010000000049 / 7501.010000000052 [+0.07%]
Windows-64-VC10:
OCCT
Total CPU difference: 18039.050834198515 / 18049.78370299853 [-0.06%]
Products
Total CPU difference: 2917.234300099994 / 2889.232120599998 [+0.97%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076935)
git (administrator)
2018-06-23 13:56

Branch CR29724 has been deleted by kgv.

SHA-1: 0ad0bd3af0fd26e79e9b48cc6ba8d6fdb74d1060

- Related Changesets
occt: master 8a590580
Timestamp: 2018-04-25 08:38:11
Author: abv
Committer: abv
Details ] Diff ]
0029724: Visualization - add AIS_InteractiveContext::ClearDetected() undoing MoveTo() dynamic highlighting

Introduced new method AIS_InteractiveContext::ClearDetected() allowing
to reset the list of detected objects and clear dynamically highlighted
entity under mouse cursor after previous AIS_InteractiveContext::MoveTo().

vmoveto command has been extended with new argument -reset.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/v3d/materials/bug27818_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-24 17:32 Vico Liang New Issue
2018-04-24 17:32 Vico Liang Assigned To => kgv
2018-04-24 17:33 Vico Liang Description Updated View Revisions
2018-04-24 17:34 Vico Liang Description Updated View Revisions
2018-04-24 17:39 Vico Liang Note Added: 0075659
2018-04-24 17:42 kgv Note Added: 0075660
2018-04-25 04:07 Vico Liang Note Added: 0075667
2018-04-25 10:02 kgv Severity minor => feature
2018-04-25 10:02 kgv Target Version => 7.3.0
2018-04-25 10:02 kgv Summary AIS_InteractiveContext::ClearSelected should clear highlight under mouse => Visualization - add AIS_InteractiveContext::ClearDetected() undoing MoveTo() dynamic highlighting
2018-04-25 11:38 git Note Added: 0075672
2018-04-25 12:50 kgv Note Added: 0075677
2018-04-25 12:50 kgv Assigned To kgv => bugmaster
2018-04-25 12:50 kgv Status new => resolved
2018-04-25 12:50 kgv Status resolved => reviewed
2018-05-23 06:13 abv Note Added: 0076112
2018-05-23 06:13 abv Status reviewed => feedback
2018-05-23 06:13 abv Assigned To bugmaster => kgv
2018-05-23 08:23 git Note Added: 0076116
2018-05-23 08:24 kgv Note Added: 0076117
2018-05-23 08:24 kgv Assigned To kgv => abv
2018-05-23 08:54 abv Note Added: 0076119
2018-05-23 09:24 git Note Added: 0076120
2018-05-23 09:25 kgv Note Added: 0076121
2018-05-23 12:27 kgv Assigned To abv => bugmaster
2018-05-23 12:27 kgv Status feedback => reviewed
2018-05-24 11:28 bugmaster Test case number => Not needed
2018-05-24 11:59 bugmaster Note Added: 0076219
2018-05-24 11:59 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master 8a590580
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076935
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker